/* Block: categories-list (categories-list) */
.g-7eb619d0 { display: flex; flex-wrap: wrap; gap: var(--size-s); }
.g-7eb619d0 .g-3e79bc10 { text-decoration: none; background-color: var(--color-surface); flex-grow: 1; flex-shrink: 1; flex-basis: calc((100% - (var(--size-s) * 4)) / 5); min-width: 210px; display: flex; justify-content: center; align-items: center; flex-direction: column; gap: var(--size-xxs); padding: 16px; border-radius: var(--b-radius); text-align: center; hyphens: auto; overflow-wrap: break-word; word-break: normal; text-wrap: balance; transition: .2s ease-in-out filter; }
.g-7eb619d0 .g-3e79bc10:hover { filter: brightness(0.96); }

/* Block: category-header (category-header) */
.g-89d1a944 { display: flex; gap: var(--size-m); justify-content: flex-start; padding: var(--size-m) 0 var(--section-padding); }
.g-89d1a944 .g-ebfa830f { flex: 0 0 172px; background-color: var(--color-surface); font-size: 80px; border-radius: var(--b-radius); display: flex; justify-content: center; align-items: center; }
.g-89d1a944 .g-be5b4357 { max-width: 700px; margin-top: var(--size-s); }
@media screen and (max-width: 576px) { .g-89d1a944 { flex-direction: column; align-items: center; gap: var(--size-s); }
.g-ebfa830f { font-size: 64px; flex: 0 0 108px; width: 120px; }
.g-106a6148 { text-align: center; }
.g-be5b4357 { margin-top: var(--size-xs); text-align: center; }
 }

/* Block: comments (comments) */
.comments-block .comments {
    list-style: none;
    padding: 0;
}

.comments-block .comments ul {
    padding: 0;
}

.comments-block .comment {
    list-style: none;
}

.comments-block .comments-title,
.comments-block .comment-reply-title {
    font-size: clamp(1.5rem, 0.8839779006vw + 1.2928176796rem, 2rem);
    font-weight: 600;
    line-height: 120%;
    margin-bottom: var(--size-m);
}

.comments-block .comment-body,
.comments-block .comment-respond {
    margin-top: var(--size-m);
    background-color: var(--color-surface);
    padding: var(--size-s);
    border-radius: var(--b-radius);
}

.comments-block .comment-content {
    margin-top: var(--size-s);
}

.comments-block .comment-metadata {
    margin-top: var(--size-xxs);
}

.comments-block .avatar {
    border-radius: 50%;
    margin-right: var(--size-xs);
}

.comments-block .comment-form {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xs);
}

.comments-block .comment-form p {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xxs);
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"],
.comments-block .comment-form textarea {
    width: 100%;
    border: 0;
    border-radius: var(--b-radius);
    font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem);
    font-weight: 400;
    line-height: 120%;
    color: var(--color-text);
    background-color: var(--color-bg);
    outline: none;
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"] {
    height: var(--size-l);
}

.comments-block .comment-form textarea {
    min-height: 130px;
    resize: vertical;
}

.comments-block .comment-form .submit {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    color: var(--color-text-light);
    padding: 9px 75px;
    min-height: var(--size-l);
    text-decoration: none;
    font-size: 18px;
    border: 0;
    cursor: pointer;
    background-color: var(--color-primary);
    border-radius: var(--b-radius);
}

.comments-block p.comment-form-cookies-consent {
    flex-direction: row;
    align-items: center;
}

/* Block: cookie (cookie) */
.g-c43f328d { display: none; position: fixed; bottom: 0; left: 0; width: 100%; padding: var(--size-m); z-index: 3; }
.g-b259cdb9 { display: block; }
.g-c9927da5 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xl); }
.g-da0f7350 { width: 195px; display: flex; flex-direction: column; gap: var(--size-xs); }
.g-73a1b769 { width: 100%; }
@media screen and (max-width: 768px) { .g-c43f328d { padding: var(--size-s); }
.g-c9927da5 { text-align: center; gap: var(--size-s); flex-direction: column; }
.g-da0f7350 { width: 100%; flex-direction: row; justify-content: center; flex-wrap: wrap; }
.g-73a1b769 { width: auto; }
 }@media screen and (max-width: 576px) { .g-da0f7350 { gap: var(--size-xxs); }
 }

/* Block: featured-posts (featured-posts) */
.g-629fadf5 { display: grid; grid-template-columns: minmax(0, 1fr) 564px; gap: var(--size-s); align-items: start; }
.g-6219e1ec { display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-s); }
.g-36d2e625 { margin: 32px 0; height: 1px; border: 0; border-top: 1px solid var(--color-surface); }
.g-ca2e53f0 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }
@media screen and (max-width: 1024px) { .g-629fadf5 { grid-template-columns: 1fr 1fr; }
 }@media screen and (max-width: 870px) { .g-629fadf5 { grid-template-columns: 1fr; gap: var(--size-l); }
 }@media screen and (max-width: 576px) { .g-6219e1ec { gap: var(--size-xs); }
 }

/* Block: footer (footer) */
.g-17e6e31a { font-size: 40px; display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xxs); white-space: nowrap; }
.g-c95a108b { text-align: center; position: fixed; left: 50%; top: 50%; transform: translateX(-50%) translateY(-50%) scale(0.7); padding: var(--size-xs) var(--size-s); border-radius: 14px; background: var(--color-secondary); box-shadow: var(--shadow); color: var(--color-text-light); opacity: 0; visibility: hidden; transition: opacity 0.2s ease, transform 0.2s ease, visibility 0.2s ease; z-index: 1000; }
.g-c95a108b.g-2bcbad7f { opacity: 1; visibility: visible; transform: translateX(-50%) translateY(-50%) scale(1); }
.g-b0a4e68b { margin-top: var(--section-padding); background-color: var(--color-primary); color: var(--color-text-light); }
.g-c20c74e4 { display: flex; justify-content: space-between; align-items: center; flex-wrap: wrap; gap: var(--size-xl); }
.g-98f4e370 { max-width: 563px; }
.g-9c49d351 { max-width: 465px; }
.g-7c46ff19 { margin-top: var(--size-xs); }
.g-278a40ef { position: relative; margin-top: var(--size-s); display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-6bf6e215 { background-color: var(--color-surface); border: 0; height: 40px; border-radius: 40px; padding: 10px 24px; flex: 2; }
.g-1fffdf9a { flex: 1; cursor: pointer; border: 0; background-color: var(--color-secondary); color: var(--text-light); height: 40px; border-radius: 40px; padding: 10px 24px; transition: transform 0.1s ease-in-out; }
.g-1fffdf9a:hover { transition: transform 0.3s ease-in-out; transform: scale(1.06); }
.g-1180a77d { display: flex; justify-content: flex-start; align-items: center; margin-top: var(--size-xs); }
.g-d4b262d3 { transform: scale(1.2); margin-right: var(--size-xs); }
.g-c7a6c687 { background-color: var(--color-secondary); color: var(--color-text-light); padding: var(--size-xl) 0 var(--size-m); }
.g-c91accb1 { display: flex; justify-content: space-between; align-items: center; }
.g-32022388 { display: flex; justify-content: flex-end; align-items: center; flex-wrap: wrap; gap: var(--size-xs) var(--size-xl); }
.g-8f97f2dc { margin-top: var(--size-xl); display: flex; justify-content: space-between; align-items: center; gap: var(--size-s); text-align: center; }
@media screen and (max-width: 1024px) { .g-98f4e370 { max-width: 550px; }
.g-9c49d351 { max-width: 550px; }
 }@media screen and (max-width: 870px) { .g-c91accb1 { align-items: flex-start; justify-content: flex-start; flex-direction: column; gap: var(--size-m); }
.g-32022388 { justify-content: flex-start; }
 }@media screen and (max-width: 768px) { .g-8f97f2dc { flex-wrap: wrap; justify-content: space-between; text-align: left; }
.g-eb5082da { order: 3; }
 }@media screen and (max-width: 576px) { .g-c20c74e4 { gap: var(--size-m); }
.g-278a40ef { flex-direction: column; gap: var(--size-xxs); }
.g-6bf6e215 { width: 100%; }
.g-1fffdf9a { width: 100%; }
.g-32022388 { flex-direction: column; align-items: flex-start; }
 }

/* Block: header (header) */
#navigation-modal li {
    list-style: none;
}
#navigation-modal .menu-item,
#navigation-modal .page_item {
    transition: color .2s ease-out;
}
#navigation-modal .menu-item:hover,
#navigation-modal .menu-item a:hover,
#navigation-modal .page_item:hover,
#navigation-modal .page_item a:hover {
    color: var(--color-primary);
}
#navigation-modal .current-menu-item,
#navigation-modal .current_page_item,
#navigation-modal .current-menu-item a,
#navigation-modal .current_page_item a {
    color: var(--color-primary);
}

.g-0a9cbdad { position: sticky; top: 0; background-color: var(--color-secondary); color: var(--color-text-light); z-index: 5; }
.g-ea76f150 { display: flex; justify-content: space-between; align-items: center; height: 80px; position: relative; }
.g-ba9d3caa { display: flex; justify-content: flex-start; align-items: center; white-space: nowrap; text-decoration: none; }
.g-761b2cb3 { font-size: 36px; margin-right: var(--size-xs); }
.g-63743f72 { font-size: 24px; font-weight: 600; }
.g-8a484b32 { display: flex; justify-content: flex-end; align-items: center; gap: var(--size-xs); }
.g-5a51da03 { text-decoration: none; white-space: nowrap; padding: var(--size-xxs); transition: opacity 0.2s ease; }
.g-5a51da03:hover { opacity: 0.7; }
.g-c243b543 { display: none; flex-direction: column; gap: 5px; border: 0; background-color: transparent; padding: 10px; }
.g-2232c31a { width: 32px; height: 3px; }
@media screen and (max-width: 768px) { .g-9a58863c { position: absolute; right: 0; bottom: 0; transform: translateY(100%); background-color: var(--color-surface); width: 260px; padding: var(--size-m); box-shadow: 0 4px 20px var(--input-bg); display: none; }
.g-9a58863c.g-3fd541f2 { display: block; }
.g-8a484b32 { gap: var(--size-m); flex-direction: column; align-items: flex-start; color: var(--color-text); }
.g-c243b543 { display: flex; cursor: pointer; }
 }@media screen and (max-width: 576px) { .g-9a58863c { width: 100%; }
 }

/* Block: hero-search (hero-search) */
.g-d8419823 { padding: var(--section-padding) 0; }
.g-3870f5a0 { display: flex; }
.g-7b388137 { flex: 1; display: flex; flex-direction: column; justify-content: center; padding: var(--size-m); }
.g-a6b9b77a { margin-top: var(--size-s); }
.g-61d133c9 { margin-top: var(--size-m); }
.g-ebafca5b { flex: 1; }
.g-65af9b63 { width: 100%; height: 100%; }
@media screen and (max-width: 1024px) { .g-3870f5a0 { flex-direction: column; }
.g-7b388137 { max-width: 545px; padding: 0 0 var(--size-xl); }
.g-65af9b63 { height: 400px; }
 }@media screen and (max-width: 576px) { .g-7b388137 { padding-bottom: var(--size-m); }
.g-65af9b63 { height: auto; }
 }

/* Block: page-404 (page-404) */
.g-8dc25400 { display: flex; justify-content: center; align-items: center; flex-direction: column; }
.g-141a8ddb { fill: var(--color-text-description); max-width: 100%; height: auto; }
.g-373163d5 { text-align: center; margin-top: var(--size-xl); }
.g-a811ab24 { text-align: center; margin-top: var(--size-s); }
.g-a1c58d54 { text-align: center; }
@media screen and (max-width: 768px) { .g-373163d5 { margin-top: var(--size-m); }
 }

/* Block: page-content (page-content) */
.g-f28cc308 { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-f28cc308 { padding: var(--size-xs); }
 }

/* Block: page-header (page-header) */
.g-89657a4d { position: relative; padding: 80px 0; color: var(--color-text-light); }
.g-f95ffe0a { position: absolute; top: 0; left: 0; width: 100%; height: 100%; z-index: -1; }
.g-7b201e06 { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }
.g-7b201e06::after { content: ""; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(180deg, rgba(0, 0, 0, 0.4) 3.41%, #191917 94.77%); }
.g-753db158 { border-left: 3px solid var(--color-primary); padding-left: var(--size-s); max-width: 650px; }
@media screen and (max-width: 768px) { .g-89657a4d { padding-bottom: 50px; }
 }@media screen and (max-width: 576px) { .g-89657a4d { padding-bottom: 40px; }
 }

/* Block: pagination (pagination) */
.g-7b051629 .nav-links {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.g-7b051629 .page-numbers {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 32px;
    border-radius: 32px;
    min-width: 32px;
    text-decoration: none;
    font-weight: 500;
}

.g-7b051629 .page-numbers:hover {
    box-shadow: 0px 0px 0px 1px var(--color-secondary);
}

.g-7b051629 .prev {
    left: 0;
    transform: translateX(calc(-100% - 44px));
    color: var(--color-secondary);
}

.g-7b051629 .prev::before {
    content: '';
    display: inline-block;
    width: 18px;
    height: 12px;
    background-color: currentColor;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
}

.g-7b051629 .next {
    right: 0;
    transform: translateX(calc(100% + 44px));
    color: var(--color-secondary);
}

.g-7b051629 .next::after {
    content: '';
    display: inline-block;
    width: 18px;
    height: 12px;
    background-color: currentColor;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
    transform: scale(-1);
}

.g-7b051629 .prev,
.g-7b051629 .next {
    position: absolute;
    top: 50%;
    margin-top: -16px;
    padding: 0 16px;
    gap: 8px;
        color: var(--color-text);
}

.g-7b051629 .prev,
.g-7b051629 .next,
.g-7b051629 .current {
    box-shadow: 0px 0px 0px 1px var(--color-text);
}

@media screen and (max-width: 768px) {
    .g-7b051629 .prev,
    .g-7b051629 .next {
        position: static;
        margin-top: 0;
        transform: none;
    }
}

@media screen and (max-width: 576px) {
    .g-7b051629 .prev::before,
    .g-7b051629 .next::after {
        display: none;
    }
}

.g-7b051629 { display: flex; justify-content: center; padding: var(--size-l) 0 var(--size-xl); }
@media screen and (max-width: 768px) { .g-7b051629 { padding: var(--size-m) 0 var(--size-l); }
 }

/* Block: post-card (post-card) */
.g-9853a38a { position: relative; overflow: hidden; border-radius: var(--b-radius); background-color: var(--color-surface); padding: 8px; }
.g-9853a38a .g-a373fb22 { position: relative; text-decoration: none; }
.g-9853a38a .g-248d4d64 { display: inline-flex; align-items: center; justify-content: flex-start; flex-wrap: wrap; gap: 0 6px; color: var(--color-primary); }
.g-9853a38a .g-89939fae { margin-top: var(--size-xs); background-color: var(--color-secondary); border-radius: var(--b-radius); overflow: hidden; aspect-ratio: 16/10; }
.g-9853a38a .g-89939fae img { width: 100%; height: 100%; object-fit: cover; }
.g-9853a38a .g-11fb9f1c { padding: 4px; display: flex; justify-content: center; gap: 6px; align-items: center; white-space: nowrap; }
.g-9853a38a .g-04730d0e { margin-top: var(--size-xs); display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.g-9853a38a .g-73e97ca6 { display: block; margin-top: var(--size-s); white-space: nowrap; opacity: 0.8; }
.g-9853a38a .g-67bca814 { margin-top: var(--size-s); padding-bottom: var(--size-xs); border-bottom: 1px solid var(--color-text); }
.g-565b3233 { position: relative; overflow: hidden; border-radius: var(--b-radius); background-color: var(--color-surface); padding: 8px; }
.g-565b3233 .g-a373fb22 { position: relative; text-decoration: none; }
.g-565b3233 .g-248d4d64 { display: inline-flex; align-items: center; justify-content: flex-start; flex-wrap: wrap; gap: 0 6px; color: var(--color-primary); }
.g-565b3233 .g-89939fae { margin-top: var(--size-xs); background-color: var(--color-secondary); border-radius: var(--b-radius); overflow: hidden; aspect-ratio: 16/10; }
.g-565b3233 .g-89939fae img { width: 100%; height: 100%; object-fit: cover; }
.g-565b3233 .g-11fb9f1c { padding: 4px; display: flex; justify-content: center; gap: 6px; align-items: center; white-space: nowrap; }
.g-565b3233 .g-04730d0e { border-top: 1px solid var(--color-text); margin-top: var(--size-xxs); padding-top: var(--size-xxs); display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.g-565b3233 .g-73e97ca6 { display: block; margin-top: var(--size-s); white-space: nowrap; opacity: 0.8; }
.g-565b3233 .g-67bca814 { margin-top: var(--size-xxs); display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
@media screen and (max-width: 576px) { .g-248d4d64 { gap: 0 4px; }
 }

/* Block: post-content (post-content) */
[id^="anchor-"] {
    scroll-margin-top: calc(var(--header-height, 0px) + 15px);
}

.post-navigation-wrapper .nav-links {
    margin-top: var(--size-xl);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--size-xl);
}

.post-navigation-wrapper .nav-links .post-navigation-link {
    gap: var(--size-xxs);
}

.post-navigation-wrapper .nav-links .nav-next {
    margin-left: auto;
        text-align: right;
}

.g-b6648baa { display: grid; grid-template-columns: 270px 1fr; gap: var(--size-s); padding: var(--size-xl) 0; }
.g-b6648baa blockquote { margin: 0 var(--size-s); border-left: 3px solid var(--color-primary); padding: var(--size-s) var(--size-xs); }
.g-b6648baa .g-2d81d672 { position: sticky; top: calc(var(--header-height, 0px) + 15px); }
.g-b6648baa .g-d79101e9 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-b6648baa .g-4d80e250 { margin-top: var(--size-m); }
.g-b6648baa .g-319d865a { margin-top: var(--size-m); color: var(--color-text-description); display: flex; flex-direction: column; justify-content: flex-start; align-items: flex-start; gap: 16px; }
.g-b6648baa .g-909e2129 { display: block; text-decoration: none; }
.g-b6648baa .g-909e2129:hover { text-decoration: underline; }
.g-b6648baa .g-89ec3cac { background-color: var(--color-surface); border-radius: var(--b-radius); padding: 8px 16px; font-weight: bold; }
@media screen and (max-width: 1024px) { .g-b6648baa { grid-template-columns: 1fr; }
.g-b6648baa .g-a0bb700e { display: none; }
.g-b6648baa .g-4d80e250 { margin-top: var(--size-s); }
.g-b6648baa .g-319d865a { align-items: flex-start; margin-top: var(--size-s); gap: var(--size-xs); }
 }@media screen and (max-width: 768px) { .g-b6648baa blockquote { margin: 0; }
 }

/* Block: post-header (post-header) */
.g-d08c737f { display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-s); margin-top: var(--size-m); }
.g-b8388f37 { display: flex; flex-direction: column; justify-content: flex-start; align-items: flex-start; }
.g-5d10f5c0 { display: flex; align-items: center; justify-content: center; }
.g-6ed434bb { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); flex-wrap: wrap; }
.g-925300b3 { padding: 8px 16px; height: 37px; border-radius: 37px; background-color: var(--color-surface); display: flex; justify-content: flex-start; align-items: center; gap: 8px; text-decoration: none; transition: filter .2s ease-in-out; }
.g-925300b3:hover { filter: brightness(0.96); }
.g-9994071f { margin-top: var(--size-m); }
.g-a053b87e { margin-top: var(--size-s); margin-bottom: auto; }
.g-64ba25e0 { margin-top: var(--size-s); }
@media screen and (max-width: 1024px) { .g-d08c737f { grid-template-columns: 1fr; }
.g-b8388f37 { max-width: 70%; }
.g-5d10f5c0 { max-width: 70%; display: block; }
.g-925300b3 { height: 30px; }
 }@media screen and (max-width: 768px) { .g-d08c737f { gap: var(--size-m); }
.g-b8388f37 { max-width: 100%; }
.g-5d10f5c0 { max-width: 100%; }
.g-a053b87e { margin-top: var(--size-xs); }
 }

/* Block: posts-list (posts-list) */
.g-4bf60f52 { display: grid; gap: 24px; grid-template-columns: repeat(3, 1fr); }
@media screen and (max-width: 1024px) { .g-4bf60f52 { grid-template-columns: repeat(2, 1fr); }
 }@media screen and (max-width: 768px) { .g-4bf60f52 { grid-template-columns: 1fr; }
 }

/* Block: recommendation (recommendation) */
.g-239af222 { text-align: center; }
.g-44a7aeff { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); }
.g-4e613779 { display: flex; justify-content: center; align-items: center; gap: 16px; }
.g-261d8afc { width: 32px; height: 32px; border-radius: 50%; border: 0; padding: 0; background-color: var(--color-primary); display: flex; justify-content: center; align-items: center; cursor: pointer; }
.g-261d8afc:hover { background-color: var(--color-primary); }
.g-30e3cfee { fill: var(--color-text-light); }
@media screen and (max-width: 768px) { .g-44a7aeff { margin-top: var(--size-m); }
 }

/* Block: search (search) */
.g-0a6ac9ea { margin-top: var(--size-m); max-width: 600px; }
.g-cbabdb52 { margin-top: var(--size-m); max-width: 600px; }
.g-8d3c86ef { margin-top: var(--size-xl); }

/* Block: searchform (searchform) */
.g-504d5b2f { position: relative; display: inline-block; width: 100%; }
.g-504d5b2f .g-61e12ec0 { color: var(--color-text); width: 100%; background-color: var(--color-surface); height: 48px; border-radius: 48px; border: 0; box-shadow: 0 0 0 2px var(--color-surface), inset 0 0 0 3px var(--color-primary); padding: var(--size-xxs) 150px var(--size-xxs) var(--size-s); font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem); font-weight: 500; line-height: 120%; }
.g-504d5b2f .g-51119d34 { position: absolute; right: 0; top: 0; height: 100%; border: 0; border-radius: 48px; background-color: var(--color-primary); color: var(--color-text-light); cursor: pointer; display: flex; justify-content: center; align-items: center; padding: 0 32px; transition: opacity .2s ease-in-out; }
.g-504d5b2f .g-51119d34:hover { opacity: .7; }

/* Block: toTop (toTop) */
.g-b72e79bc { position: fixed; bottom: 0; opacity: 0; right: 30px; opacity: 0; transform: translateY(100%); background-color: var(--color-primary); border: none; width: 60px; height: 60px; border-radius: 50%; cursor: pointer; transition: 0.3s opacity ease-in-out, 0.3s transform ease-in-out; z-index: 4; }
.g-e102d9db { fill: var(--color-text-light); }
.g-72711509 { opacity: 1; transform: translateY(-35px); }
@media screen and (max-width: 768px) { .g-b72e79bc { transform: scale(0.8); bottom: 15px; right: 15px; }
 }

/* Block: front-page::hero-search (hero-search) */
.g-b7f08e1a { padding: var(--section-padding) 0; }
.g-db386a5f { display: flex; }
.g-12e10999 { flex: 1; display: flex; flex-direction: column; justify-content: center; padding: var(--size-m); }
.g-055a3bb1 { margin-top: var(--size-s); }
.g-e21d3f8e { margin-top: var(--size-m); }
.g-7869cf6e { flex: 1; }
.g-42cb9be0 { width: 100%; height: 100%; }
@media screen and (max-width: 1024px) { .g-db386a5f { flex-direction: column; }
.g-12e10999 { max-width: 545px; padding: 0 0 var(--size-xl); }
.g-42cb9be0 { height: 400px; }
 }@media screen and (max-width: 576px) { .g-12e10999 { padding-bottom: var(--size-m); }
.g-42cb9be0 { height: auto; }
 }

/* Block: front-page::text--0 (text) */
.g-46ce1bee { text-align: center; }

/* Block: front-page::categories-list (categories-list) */
.g-25e75e72 { display: flex; flex-wrap: wrap; gap: var(--size-s); }
.g-25e75e72 .g-23d52af4 { text-decoration: none; background-color: var(--color-surface); flex-grow: 1; flex-shrink: 1; flex-basis: calc((100% - (var(--size-s) * 4)) / 5); min-width: 210px; display: flex; justify-content: center; align-items: center; flex-direction: column; gap: var(--size-xxs); padding: 16px; border-radius: var(--b-radius); text-align: center; hyphens: auto; overflow-wrap: break-word; word-break: normal; text-wrap: balance; transition: .2s ease-in-out filter; }
.g-25e75e72 .g-23d52af4:hover { filter: brightness(0.96); }

/* Block: front-page::featured-posts (featured-posts) */
.g-09562a3a { display: grid; grid-template-columns: minmax(0, 1fr) 564px; gap: var(--size-s); align-items: start; }
.g-38496245 { display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-s); }
.g-684cb317 { margin: 32px 0; height: 1px; border: 0; border-top: 1px solid var(--color-surface); }
.g-4dbbacab { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }
@media screen and (max-width: 1024px) { .g-09562a3a { grid-template-columns: 1fr 1fr; }
 }@media screen and (max-width: 870px) { .g-09562a3a { grid-template-columns: 1fr; gap: var(--size-l); }
 }@media screen and (max-width: 576px) { .g-38496245 { gap: var(--size-xs); }
 }

/* Block: front-page::page-content--0 (page-content) */
.g-27cee63e { margin: var(--section-padding) 0; }

/* Block: contacts-page::page-content--0 (page-content) */
.g-44ff0cbb { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-44ff0cbb { padding: var(--size-xs); }
 }

/* Block: contacts-page::form--0 (form) */
.g-d801c6e4 { position: relative; z-index: 1; }
.g-d86f88c9 { display: flex; justify-content: flex-start; position: relative; gap: var(--size-m); z-index: 1; }
.g-2f19e81a { flex: 1; display: flex; flex-direction: column; align-items: flex-start; justify-content: flex-start; }
.g-0842d260 { flex: 0 0 660px; padding: var(--size-m) var(--size-m) var(--size-xl); display: flex; flex-direction: column; justify-content: center; }
.g-74738b79 { position: relative; z-index: 1; transform: translateY(50%); padding: var(--size-xs); }
.g-6d535722 { width: 100%; display: flex; justify-content: space-evenly; align-items: flex-start; gap: var(--size-m); flex-wrap: wrap; }
.g-8e54e280 { flex: 1; display: flex; align-items: center; flex-direction: column; text-align: center; }
.g-fa3a461a { width: 56px; height: 56px; flex-shrink: 0; display: flex; justify-content: center; align-items: center; border-radius: 50%; font-size: 24px; }
.g-5ed0cb1c { fill: var(--color-text); }
.g-cd9633a0 { stroke: var(--color-text); }
.g-d3028b0e { stroke: var(--color-text); }
.g-da6b7d4d { display: flex; flex-direction: column; }
.g-3d4ae601 { width: 100%; height: 370px; }
@media screen and (max-width: 1024px) { .g-d86f88c9 { flex-direction: column; }
.g-ab298966 { margin-top: 0; }
.g-0842d260 { flex: 1; }
.g-3d4ae601 { height: 430px; }
 }@media screen and (max-width: 768px) { .g-da6b7d4d { margin-top: var(--size-xs); }
 }@media screen and (max-width: 576px) { .g-2f19e81a { align-items: center; text-align: center; }
.g-0842d260 { padding: var(--size-s); }
.g-74738b79 { transform: translateY(var(--size-xl)); }
.g-6d535722 { flex-direction: column; align-items: center; }
.g-3d4ae601 { height: 370px; }
 }

/* Block: about-page::highlights--0 (highlights) */
.g-3f8f2da9 { position: relative; display: grid; grid-template-columns: repeat(2, 1fr); grid-template-rows: repeat(3, 1fr); gap: var(--size-s); }
.g-fb677318 { position: absolute; top: 0; left: 0; width: 100%; height: 100%; z-index: -1; }
.g-fb677318::after { content: ""; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: rgba(0, 0, 0, 0.5); }
.g-9433a71c { position: relative; grid-row: span 2; min-height: 350px; padding: var(--size-s) var(--size-s) var(--size-m); }
.g-52f51638 { display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-s); }
.g-b3cf7781 { padding: var(--size-s) var(--size-s) var(--size-m); }
.g-b98bdf19 { display: flex; justify-content: space-between; align-items: center; gap: var(--size-s); }
.g-e0f87c8b { flex-shrink: 0; width: 44px; height: 44px; display: flex; justify-content: center; align-items: center; border-radius: 50%; font-size: 24px; }
@media screen and (max-width: 870px) { .g-fb677318 { position: static; border-radius: var(--b-radius); overflow: hidden; height: auto; }
.g-fb677318::after { display: none; }
.g-9433a71c { border-radius: 0; padding: 0; display: flex; flex-direction: column-reverse; gap: var(--size-s); }
 }@media screen and (max-width: 768px) { .g-3f8f2da9 { grid-template-columns: 1fr; grid-template-rows: auto; }
.g-9433a71c { text-align: center; }
.g-52f51638 { grid-template-columns: 1fr 1fr; }
 }@media screen and (max-width: 576px) { .g-2eecc627 { color: var(--color-text); }
.g-52f51638 { grid-template-columns: 1fr; }
.g-b3cf7781 { padding: var(--size-xs); }
.g-b98bdf19 { flex-direction: column-reverse; justify-content: flex-start; align-items: flex-start; gap: var(--size-xs); }
 }

/* Block: about-page::text--0 (text) */
.g-1e3d5215 { column-count: 2; gap: var(--size-m); }
@media screen and (max-width: 768px) { .g-24c5a370 { text-align: center; }
.g-1e3d5215 { column-count: 1; }
 }

/* Block: about-page::page-content--0 (page-content) */
.g-e94b9abf { background-color: var(--color-surface); border-radius: var(--b-radius); padding: var(--size-m); margin: var(--section-padding) 0; }
@media screen and (max-width: 768px) { .g-e94b9abf { padding: var(--size-xs); }
 }

/* Block: expertise::text--0 (text) */
.g-3a85799a { column-count: 2; gap: var(--size-m); }
@media screen and (max-width: 768px) { .g-52b51ee1 { text-align: center; }
.g-3a85799a { column-count: 1; }
 }

/* Block: expertise::reviews--0 (reviews) */
.g-a2f73a44 { display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-s); }
.g-306d3529 { padding: var(--size-m); box-shadow: var(--shadow); }
.g-ada24b28 svg { fill: var(--color-text); }
@media screen and (max-width: 768px) { .g-a2f73a44 { grid-template-columns: 1fr; }
 }

/* Block: expertise::text--1 (text) */
.g-3163f079 { padding: var(--size-xl); }
@media screen and (max-width: 768px) { .g-3163f079 { text-align: center; padding: var(--size-m); }
 }@media screen and (max-width: 576px) { .g-3163f079 { padding: var(--size-s); }
 }

/* Block: expertise::process--0 (process) */
.g-9c75ef79 { display: flex; justify-content: flex-start; align-items: flex-start; gap: var(--size-xl); }
.g-3b14d718 { flex: 1; }
.g-93d288d0 { flex: 1; position: relative; display: flex; flex-direction: column; gap: var(--size-xs); width: 100%; }
.g-01a8141e { display: flex; justify-content: flex-start; align-items: flex-start; border-bottom: 1px solid var(--color-surface); gap: var(--size-s); padding-bottom: var(--size-xs); }
.g-10cf03b1 { flex: 0 0 50px; font-size: 40px; line-height: 130%; font-weight: 500; }
@media screen and (max-width: 870px) { .g-9c75ef79 { flex-direction: column; }
 }@media screen and (max-width: 576px) { .g-3b14d718 { text-align: center; }
.g-10cf03b1 { font-size: 32px; flex: 0 0 35px; }
 }

/* Block: expertise::about--0 (about) */
.g-d46b4597 { position: relative; display: flex; align-items: center; gap: var(--size-m); min-height: 550px; padding: var(--size-xl); }
.g-9cc0bec2 { position: absolute; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; }
.g-b0e6d018 { position: relative; z-index: 2; width: 60%; margin-left: auto; padding: var(--size-m); }
@media screen and (max-width: 870px) { .g-b0e6d018 { width: 100%; }
 }@media screen and (max-width: 576px) { .g-d46b4597 { padding: 0; flex-direction: column-reverse; }
.g-9cc0bec2 { position: static; border-radius: 0; width: 100vw; left: 50%; right: 50%; margin-left: -50vw; margin-right: -50vw; }
.g-b0e6d018 { text-align: center; }
 }